Subject: [homenet] FW: New Version Notification for draft-ietf-homenet-front-end-naming-delegation-04.txt

From: Daniel Migault <[email-masked]>
Date: Wed, 23 Sep 2015 20:55:36 +0000

HI, 

Please find the new version of the draft: Outsourcing Home Network Authoritative Naming Service. We considered the comments received during the Prague meeting and add some text:
   - 1) to clarify that the architecture is compatible with multiple CPEs
   - 2) that implementations may choose to split the functions performed by the CPE between multiple devices.
   - 3) Hidden Primary is hosted on a single device and in case multiple devices may host the Hidden Primary, a selection may be performed within the home network to select the device.

Feel free to review the document.

BR, 
Daniel

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, September 23, 2015 10:47 PM
To: Ralf Weber; Wouter Cloetens; Ray Hunter; Daniel Migault; Chris Griffiths; Ray Hunter; Wouter Cloetens; Chris Griffiths; Ralf Weber; Daniel Migault
Subject: New Version Notification for draft-ietf-homenet-front-end-naming-delegation-04.txt

A new version of I-D, draft-ietf-homenet-front-end-naming-delegation-04.txt
has been successfully submitted by Daniel Migault and posted to the IETF repository.

Name:		draft-ietf-homenet-front-end-naming-delegation
Revision:	04
Title:		Outsourcing Home Network Authoritative Naming Service
Document date:	2015-09-23
Group:		homenet
Pages:		35
URL:            https://www.ietf.org/internet-drafts/draft-ietf-homenet-front-end-naming-delegation-04.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-homenet-front-end-naming-delegation/
Htmlized:       https://tools.ietf.org/html/draft-ietf-homenet-front-end-naming-delegation-04
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-homenet-front-end-naming-delegation-04

Abstract:
   RFC7368 'IPv6 Home Networking Architecture Principles' section 3.7
   describes architecture principles related to naming and service
   discovery in residential home networks.

   Customer Edge Routers and other Customer Premises Equipment (CPEs)
   are designed to provide IP connectivity to home networks.  Most CPEs
   assign IP addresses to the nodes of the home network which makes them
   good candidates for hosting the naming service.  IPv6 provides global
   connectivity, and nodes from the home network will be reachable from
   the global Internet.  As a result, the naming service is expected to
   be exposed on the Internet.

   However, CPEs have not been designed to host such a naming service
   exposed on the Internet.  Running a naming service visible on the
   Internet may expose the CPEs to resource exhaustion and other
   attacks, which could make the home network unreachable, and most
   probably would also affect the internal communications of the home
   network.

   In addition, regular end users may not understand, or possess the
   necessary skills to be able to perform, DNSSEC management and
   configuration.  Misconfiguration may also result in naming service
   disruption, thus these end users may prefer to rely on third party
   name service providers.

   This document describes a homenet naming architecture, where the CPEs
   manage the DNS zones associated with its own home network, and
   outsource elements of the naming service (possibly including DNSSEC
   management) to a third party running on the Internet.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat